-- Ped methods
-- Since: v0.4.1
local Ped = {GUN_NAME = {}, GUN_MODEL ={}}

Ped.GUN_NAME = {
[65535] = "Fist",
[0] = "Pistol",
[1] = "S-Uzi Machine Gun",
[2] = "Rocket Launcher",
[3] = "ElectroGun",
[4] = "Molotov Cocktails",
[5] = "Grenades",
[6] = "Shotgun",
[7] = "ElectroBaton",
[8] = "Flamethrower",
[9] = "Silenced Machine Gun",
[10] = "Dual Pistol",
[11] = "Reserve yellow L",
[12] = "Reserve yellow M",
[13] = "Reserve yellow N",
[14] = "Reserve yellow O",
[15] = "Car Bomb",
[16] = "Car Oil",
[17] = "Car Mine",
[18] = "Car Machine Gun",
[19] = "Tank Rocket Launcher",
[20] = "Water Cannon",
[21] = "Car Flamethrower",
[22] = "Jeep Gun",
[23] = "Car Bomb Instant",
[24] = "Reserve blue J",
[25] = "Reserve blue K",
[26] = "Reserve blue L",
[27] = "Reserve blue M",
[28] = "Multiplier",
[29] = "Life",
[30] = "Health",
[31] = "Armor",
[32] = "Key",
[33] = "Cop Bribe",
[34] = "Invulnerability",
[35] = "Double Damage",
[36] = "Fast Reload",
[37] = "Electrofingers",
[38] = "Respect",
[39] = "Invisibility",
[40] = "Instant Gang"
}

Ped.VALID_GUN_MODEL = {
64,65,66,67,68,69,70,72,73,74,75,76,77,78,79,80,81,82,88,89,90,91,92,93,94,95,96,97,98,99,100,101
}

function Ped.GetWeaponName(weaponid)
	if (weaponid < 1 or weaponid > #Ped.GUN_NAME) then
		return Ped.GUN_NAME[65535]
	end
	return Ped.GUN_NAME[weaponid]
end

function Ped.IsPedAlive(ped)
	if (ped ~= 0) then
		return true
	end
	return false
end

function Ped.IsPedInCar(ped)
	local car = GetPedCar(ped)
	if (car ~= 0) then
		return true
	end
	return false
end

return Ped